Bug 30110 - deadlock of stopTest process
deadlock of stopTest process
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
Nightly (Please specify date)
All All
: P3 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2004-07-15 03:19 UTC by Masashi Takeichi
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Masashi Takeichi 2004-07-15 03:19:12 UTC
I set up ThreadGroup as follows.
  "Action to be taken after a Sampler error" : Stop Test 

When a same error occurred at some threads at once,
my test was stopped.
But it took a long time to stop all the threads.
It was about 50 seconds, using 10 threads.


I saw JMeterThread and StandardJMeterEngine codes.
When 'onErrorStopTest' variable in JMeterThread is true,
the thread itself at which a error occurs, tries to stop all the other threads.
So when some threads throw errors at once, deadlock occurs.
And deadlock is not solved until timeout. 

The task to stop all the threads should be done by another thread.

Thank you.
Comment 1 Sebb 2004-10-12 23:47:38 UTC
Thanks for the report; fixed in CVS 2.0 branch.